Page MenuHomePhabricator

Build a new HHVM package
Closed, ResolvedPublic

Description

We need to build a new HHVM package to include:

  1. The new PCRE cache patch from Tim https://github.com/tstarling/hiphop-php/commits/pcre-synchronized-cache-3.3.1
  2. The upstream fix to the bitwise operations leak

Event Timeline

Joe created this task.Jan 15 2015, 12:01 PM
Joe claimed this task.
Joe raised the priority of this task from to High.
Joe updated the task description. (Show Details)
Joe added projects: ops-core, HHVM.
Joe added a subscriber: Joe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 12:01 PM
Joe updated the task description. (Show Details)
Joe set Security to None.
Joe added a comment.Jan 16 2015, 12:33 PM

Package built and manually deployed on beta

Joe added a comment.Jan 23 2015, 10:00 PM

Package is on apt.w.o and deployed to the canary appservers. It will go online everywhere if it's been stable over the weekend.

Joe added a comment.Feb 4 2015, 9:02 AM

The package had a bug, which I fixed in https://gerrit.wikimedia.org/r/#/c/188332/

The new version is being rolled out everywhere right now.

Joe closed this task as Resolved.Feb 4 2015, 12:44 PM